package org.sonatype.nexus.plugin.gwt.client;

import com.google.gwt.http.client.Response;

public class RemoteFailureException
    extends Throwable
{
    private static final long serialVersionUID = 6749627274282709942L;
    
    private Response response;

    public RemoteFailureException( Response response )
    {
        this.response = response;
    }

    public Response getResponse()
    {
        return response;
    }

    public void setResponse( Response response )
    {
        this.response = response;
    }

    @Override
    public String getMessage()
    {
        return "Status: "+ response.getStatusText();
    }
    
    

}
