package org.sonatype.nexus.plugin.move;

import javax.servlet.ServletContext;

import org.codehaus.plexus.ContainerConfiguration;
import org.sonatype.plexus.rest.PlexusContainerConfigurationUtils;
import org.sonatype.plexus.rest.PlexusContainerContextListener;

public class PrototypeContainerContextListener
    extends PlexusContainerContextListener
{

    private PlexusContainerConfigurationUtils plexusContainerConfigurationUtils = new PlexusContainerConfigurationUtils();
    
    @Override
    protected ContainerConfiguration buildContainerConfiguration( ServletContext context )
    {
        ContainerConfiguration containerConfiguration = plexusContainerConfigurationUtils
        .buildContainerConfiguration( context );
        
        containerConfiguration.setClassPathScanning( true );
        
        return containerConfiguration;
    }

}
