package org.sonatype.nexus.plugin.gwt.client.model;

import com.extjs.gxt.ui.client.data.BaseModelData;
import com.extjs.gxt.ui.client.data.ModelType;

public class FormError
    extends BaseModelData
{

    private static final long serialVersionUID = 1L;

    public FormError()
    {
    }

    public FormError( String id, String msg )
    {
        set( "id", id );
        set( "msg", msg );
    }

    public String getId()
    {
        return get( "id" );
    }

    public void setId( String id )
    {
        set( "id", id );
    }

    public String getMessage()
    {
        return get( "msg" );
    }

    public void setMessage( String message )
    {
        set( "msg", message );
    }
    
    public static ModelType getModelType()
    {
        ModelType modelType = new ModelType();
        modelType.setRoot( "errors" );
        modelType.addField( "id" );
        modelType.addField( "msg" );

        return modelType;
    }

}
